Package ru.bitel.bgbilling.modules.voice.server.bean

# Class VoiceSessionDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<VoiceSession>
ru.bitel.bgbilling.modules.voice.server.bean.VoiceSessionLogDao
ru.bitel.bgbilling.modules.voice.server.bean.VoiceSessionDao

All Implemented Interfaces:
  `AutoCloseable`

public class VoiceSessionDao extends VoiceSessionLogDao

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TABLE_VOICE_SESSION`

  ### Fields inherited from class ru.bitel.bgbilling.modules.voice.server.bean.VoiceSessionLogDao

  `TABLE_VOICE_SESSION_LOG`

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceSessionDao(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `insertSession(VoiceSession session)`
  `void`
  `updateSession(VoiceSession session)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.server.bean.VoiceSessionLogDao

  `checkTables, deleteSessions, deleteSessions, deleteSessions, get, get, getContractSums, getDetailSumValues, getFieldPart, getFromRS, getPreparedStatementGet, getSessionFromRs, getSessionsDetail, getSessionsGroupedByAccount, getSessionsGroupedByAccountAndDestination, getSessionsGroupedByAccountAndService, insertSessions, list, list, setPsParams, updateImpl`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TABLE_VOICE_SESSION

    public static final String TABLE_VOICE_SESSION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VoiceSessionDao

    public VoiceSessionDao(Connection con, int mid)

- ## Method Details

  - ### insertSession

    public void insertSession(VoiceSession session) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateSession

    public void updateSession(VoiceSession session) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### close

    public void close() throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `close` in interface `AutoCloseable`
    Overrides:
      `close` in class `ru.bitel.common.dao.AbstractDao<VoiceSession>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`